%define		kdeappsver	25.04.0
%define		qtver		5.15.2
%define		kaname		ghostwriter

Summary:	Text editor for Markdown
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	1
License:	GPL v3+
Group:		X11/Applications/Editors
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	5e4423417a080082e8e4b345ee1a8fc0
URL:		https://www.kde.org/
BuildRequires:	Qt6Concurrent-devel
BuildRequires:	Qt6Core-devel >= 5.15.2
BuildRequires:	Qt6Gui-devel
BuildRequires:	Qt6Network-devel >= 5.15.9
BuildRequires:	Qt6Positioning-devel >= 5.15
BuildRequires:	Qt6PrintSupport-devel >= 5.15
BuildRequires:	Qt6Qml-devel >= 5.15.9
BuildRequires:	Qt6Qml-devel >= 5.15.9
BuildRequires:	Qt6Quick-devel >= 5.15
BuildRequires:	Qt6Svg-devel
BuildRequires:	Qt6WebChannel-devel
BuildRequires:	Qt6WebEngine-devel >= 5.15
BuildRequires:	Qt6Widgets-devel >= 5.15.2
BuildRequires:	kf6-extra-cmake-modules >= 5.90
BuildRequires:	kf6-kconfigwidgets-devel >= 5.90
BuildRequires:	kf6-kcoreaddons-devel >= 5.105.0
BuildRequires:	kf6-kwidgetsaddons-devel >= 5.90
BuildRequires:	kf6-kxmlgui-devel >= 5.90
BuildRequires:	kf6-sonnet-devel >= 5.90
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	qt6-linguist
BuildRequires:	shared-mime-info
ExcludeArch:	x32 i686
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ghostwriter is a Windows and Linux text editor for Markdown, which is
a plain text markup format created by John Gruber. For more
information about Markdown, please visit John Gruber's website at
<http://www.daringfireball.net>. ghostwriter provides a relaxing,
distraction-free writing environment, whether your masterpiece be that
next blog post, your school paper, or your NaNoWriMo novel. For a tour
of its features, please visit the [ghostwriter project
site](https://ghostwriter.kde.org).

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6
%ninja_build -C build

%{?with_tests:%ninja_build -C build test}

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ghostwriter
%{_desktopdir}/org.kde.ghostwriter.desktop
%{_iconsdir}/hicolor/*x*/apps/ghostwriter.png
%{_iconsdir}/hicolor/scalable/apps/ghostwriter.svg
%lang(ca) %{_mandir}/ca/man1/ghostwriter.1*
%lang(es) %{_mandir}/es/man1/ghostwriter.1*
%lang(it) %{_mandir}/it/man1/ghostwriter.1*
%{_mandir}/man1/ghostwriter.1*
%lang(nl) %{_mandir}/nl/man1/ghostwriter.1*
%lang(ru) %{_mandir}/ru/man1/ghostwriter.1*
%lang(sl) %{_mandir}/sl/man1/ghostwriter.1*
%lang(sv) %{_mandir}/sv/man1/ghostwriter.1*
%lang(uk) %{_mandir}/uk/man1/ghostwriter.1*
%{_datadir}/metainfo/org.kde.ghostwriter.metainfo.xml
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-ghostwriter.git;a=log;h=master

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6ba3a05
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 4c4d753
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 42482de
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 585f7ed
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 93fd199
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 814dcd9
- updated to 24.08.3

* Sat Oct 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b7ef7f8
- exlcuding i686 and x32 due to no QtWebEngine available

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> df4642f
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8e2be4a
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0aad64c
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1f5bbf8
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 227f468
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3a45672
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1c9a10f
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 487f40b
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bbec709
- updated to 24.02.0

